AnyInt Gateway Developer APIOpenAPI 3.1.0合約版本 0.1.0
API 參考
在 OpenAI 相容、Anthropic、Gemini 和非同步媒體工作流程中使用單一閘道和 API 金鑰。
- 伺服器
https://api.anyint.ai提供此 OpenAPI 文件的 AnyInt Gateway 來源。
唯讀參考
此頁面絕不會收集 API 金鑰或傳送要求。請在您自己的安全環境中執行範例。
74 端點
ChatRoom 整合
3 端點为独立 ChatRoom 客户端查询当前金鑰可用的模型与企业功能。
使用开发者 API 金鑰认证的永久 ChatRoom 集成接口,不受旧版兼容开关和到期时间影响。遵循租户及金鑰可见性,保留迁移后的稳定归属引用,不调用旧核心。身份会话须先通过已认证的 BFF 产品凭据接口获取执行凭据。
GET /v1/chatroom/models要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/models?scope=<scope>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| scope | query | string | 必要 | — |
| limit | query | integer | 選填 | —範例: 1000 |
回應
200成功;响应不缓存
application/json
範例
{
"success": true,
"data": {
"models": [],
"total": 0
}
}使用开发者 API 金鑰认证的永久 ChatRoom 集成接口,不受旧版兼容开关和到期时间影响。遵循租户及金鑰可见性,保留迁移后的稳定归属引用,不调用旧核心。身份会话须先通过已认证的 BFF 产品凭据接口获取执行凭据。
GET /v1/chatroom/enterprise-context要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/enterprise-context' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。回應
200成功;响应不缓存
application/json
範例
{
"success": true,
"data": {
"featureControls": {
"seedanceAuthorizedAssets": false
}
}
}使用开发者 API 金鑰认证的永久 ChatRoom 集成接口,不受旧版兼容开关和到期时间影响。遵循租户及金鑰可见性,保留迁移后的稳定归属引用,不调用旧核心。身份会话须先通过已认证的 BFF 产品凭据接口获取执行凭据。
GET /v1/chatroom/key-context要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/key-context' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。回應
200成功;响应不缓存
application/json
範例
{
"success": true,
"data": {
"userId": "user_example",
"apiKeyId": "key_example",
"featureControls": {
"seedanceAuthorizedAssets": false
}
}
}聊天
2 端點建立 OpenAI 相容的對話式回應。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/chat/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}回應
200確定
application/json
範例
{
"id": "chatcmpl_example",
"object": "chat.completion",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Edge computing processes data near its source, reducing latency and bandwidth use."
},
"finish_reason": "stop"
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/chat/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}回應
200確定
application/json
範例
{
"id": "chatcmpl_example",
"object": "chat.completion",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Edge computing processes data near its source, reducing latency and bandwidth use."
},
"finish_reason": "stop"
}
]
}回應
2 端點使用 OpenAI Responses API 格式建立回應。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/responses' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "Write a short welcome message."
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"input": "Write a short welcome message."
}回應
200確定
application/json
範例
{
"id": "resp_example",
"object": "response",
"status": "completed"
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/responses' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "Write a short welcome message."
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"input": "Write a short welcome message."
}回應
200確定
application/json
範例
{
"id": "resp_example",
"object": "response",
"status": "completed"
}文字生成
2 端點建立舊版 OpenAI 相容的文字完成。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Once upon a time"
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"prompt": "Once upon a time"
}回應
200確定
application/json
範例
{
"id": "cmpl_example",
"object": "text_completion",
"choices": [
{
"index": 0,
"text": " there was a quiet coast."
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Once upon a time"
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"prompt": "Once upon a time"
}回應
200確定
application/json
範例
{
"id": "cmpl_example",
"object": "text_completion",
"choices": [
{
"index": 0,
"text": " there was a quiet coast."
}
]
}嵌入
2 端點從文字輸入建立向量嵌入。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/embeddings' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}回應
200確定
application/json
範例
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0.012,
-0.008,
0.021
]
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/embeddings' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}回應
200確定
application/json
範例
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0.012,
-0.008,
0.021
]
}
]
}審查
2 端點分類潛在有害的文字或圖片輸入。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/moderations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input": "Text to classify"
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"input": "Text to classify"
}回應
200確定
application/json
範例
{
"id": "modr_example",
"model": "your-model-id",
"results": [
{
"flagged": false,
"categories": {},
"category_scores": {}
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/moderations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input": "Text to classify"
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"input": "Text to classify"
}回應
200確定
application/json
範例
{
"id": "modr_example",
"model": "your-model-id",
"results": [
{
"flagged": false,
"categories": {},
"category_scores": {}
}
]
}批次
8 端點當部署啟用物件儲存時,提交供應商原生的 JSONL 批次。
要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| after | query | string | 選填 | — |
| limit | query | integer | 選填 | —範例: 20 |
回應
200確定
application/json
範例
{
"object": "list",
"data": [
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}
],
"first_id": "batch_example",
"last_id": "batch_example",
"has_more": false
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}回應
200確定
application/json
範例
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| after | query | string | 選填 | — |
| limit | query | integer | 選填 | —範例: 20 |
回應
200確定
application/json
範例
{
"object": "list",
"data": [
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}
],
"first_id": "batch_example",
"last_id": "batch_example",
"has_more": false
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}回應
200確定
application/json
範例
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/batches/<batch_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| batch_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/batches/<batch_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| batch_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/batches/<batch_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| batch_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/batches/<batch_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| batch_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}檔案
5 端點上傳、列出、檢查和下載檔案。
要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。回應
200確定
application/json
範例
{
"object": "list",
"data": [
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/files' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/document.jsonl' \
--form 'purpose=batch'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要multipart/form-data
範例
{
"file": "document.jsonl",
"purpose": "batch"
}回應
200確定
application/json
範例
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| file_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}要求範例
cURL
curl \
--request DELETE \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| file_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "file_example",
"object": "file",
"deleted": true
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| file_id | path | string | 必要 | — |
回應
200二進位檔案內容
application/octet-stream
範例
<binary>音訊
3 端點語音轉錄、將音訊翻譯成英文,或語音合成。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/transcriptions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/audio.wav' \
--form 'model=your-model-id'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要multipart/form-data
範例
{
"file": "audio.wav",
"model": "your-model-id"
}回應
200確定
application/json
範例
{
"text": "Example transcript."
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/translations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/audio.wav' \
--form 'model=your-model-id'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要multipart/form-data
範例
{
"file": "audio.wav",
"model": "your-model-id"
}回應
200確定
application/json
範例
{
"text": "Example transcript."
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/speech' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: audio/mpeg' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"voice": "your-voice-id",
"input": "Welcome to AnyInt Gateway."
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"voice": "your-voice-id",
"input": "Welcome to AnyInt Gateway."
}回應
200二進位音訊內容
audio/mpeg
範例
<binary>圖像
4 端點通过兼容 OpenAI 的请求生成和编辑图像。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/images/edits' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'image=@path/to/image.png' \
--form 'model=your-model-id' \
--form 'prompt=Add a soft blue background.'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要multipart/form-data
範例
{
"image": "image.png",
"model": "your-model-id",
"prompt": "Add a soft blue background."
}回應
200確定
application/json
範例
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/images/edits' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'image=@path/to/image.png' \
--form 'model=your-model-id' \
--form 'prompt=Add a soft blue background.'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要multipart/form-data
範例
{
"image": "image.png",
"model": "your-model-id",
"prompt": "Add a soft blue background."
}回應
200確定
application/json
範例
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/images/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}回應
200確定
application/json
範例
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/images/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}回應
200確定
application/json
範例
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}模型
4 端點探索透過各個通訊協定提供的模型。
要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。回應
200確定
application/json
範例
{
"object": "list",
"data": [
{
"id": "your-model-id",
"object": "model",
"created": 1767225600,
"owned_by": "configured-provider"
}
]
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。回應
200確定
application/json
範例
{
"object": "list",
"data": [
{
"id": "your-model-id",
"object": "model",
"created": 1767225600,
"owned_by": "configured-provider"
}
]
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/anthropic/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。回應
200確定
application/json
範例
{
"data": [
{
"id": "your-model-id",
"type": "model",
"display_name": "Configured model",
"created_at": "2026-01-01T00:00:00.000Z"
}
],
"has_more": false,
"first_id": "your-model-id",
"last_id": "your-model-id"
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/gemini/v1beta/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。回應
200確定
application/json
範例
{
"models": [
{
"name": "models/your-model-id",
"displayName": "Configured model",
"supportedGenerationMethods": [
"generateContent"
],
"inputTokenLimit": 8192,
"outputTokenLimit": 8192
}
]
}非同步媒體
26 端點建立並檢查非同步圖片、影片和音樂作業。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/videos' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}回應
200複製任務
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/videos/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200生成的媒体内容
application/octet-stream
範例
<binary>要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/videos' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}回應
200複製任務
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/videos/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200生成的媒体内容
application/octet-stream
範例
<binary>要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/audio/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}回應
200複製任務
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/audio/generations/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/audio/generations/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200生成的媒体内容
application/octet-stream
範例
<binary>要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}回應
200複製任務
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/audio/generations/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/audio/generations/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200生成的媒体内容
application/octet-stream
範例
<binary>要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/suno/generate' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}回應
200複製任務
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/suno/query/task?taskId=<taskId>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| taskId | query | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/doubao/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/image-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud"
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud"
}回應
200複製非同步任務
application/json
範例
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/video-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}回應
200複製非同步任務
application/json
範例
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "video_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/videos/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}回應
200複製任務
application/json
範例
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "video_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/music-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}回應
200複製非同步任務
application/json
範例
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "music_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/music/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}回應
200複製任務
application/json
範例
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "music_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。回應
200確定
application/json
範例
{
"object": "list",
"data": [
{
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/tasks/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/tasks/<task_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
回應
200確定
application/json
範例
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}要求範例
cURL
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>/artifacts/<artifact_id>?tenant_id=<tenant_id>&expires_at=<expires_at>&signature=<signature>' \
--header 'Accept: application/octet-stream'驗證
無需驗證
參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| task_id | path | string | 必要 | — |
| artifact_id | path | string | 必要 | — |
| tenant_id | query | string | 必要 | — |
| expires_at | query | integer | 必要 | — |
| signature | query | string | 必要 | — |
回應
200二進位成品內容
application/octet-stream
範例
<binary>Anthropic 訊息
2 端點使用 Anthropic 原生的訊息、計數代幣和模型探索。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/anthropic/v1/messages' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"max_tokens": 256,
"messages": [
{
"role": "user",
"content": "Explain edge computing briefly."
}
]
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"max_tokens": 256,
"messages": [
{
"role": "user",
"content": "Explain edge computing briefly."
}
]
}回應
200確定
application/json
範例
{
"id": "msg_example",
"type": "message",
"role": "assistant",
"content": [
{
"type": "text",
"text": "Edge computing runs workloads near the data source."
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/anthropic/v1/messages/count_tokens' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Hello"
}
]
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。要求內文
必要application/json
範例
{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Hello"
}
]
}回應
200確定
application/json
範例
{
"input_tokens": 12
}Gemini 內容
4 端點使用 Gemini 原生的內容產生和串流。
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>:generateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| model | path | string | 必要 | — |
要求內文
必要application/json
範例
{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}回應
200確定
application/json
範例
{
"candidates": [
{
"content": {
"role": "model",
"parts": [
{
"text": "Edge computing reduces latency."
}
]
}
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>:streamGenerateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: text/event-stream' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| model | path | string | 必要 | — |
| alt | query | string | 選填 | — |
要求內文
必要application/json
範例
{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}回應
200Gemini 內容串流
text/event-stream
範例
data: {"candidates":[{"content":{"role":"model","parts":[{"text":"Edge computing reduces latency."}]}}]}
要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>/generateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| model | path | string | 必要 | — |
要求內文
必要application/json
範例
{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}回應
200確定
application/json
範例
{
"candidates": [
{
"content": {
"role": "model",
"parts": [
{
"text": "Edge computing reduces latency."
}
]
}
}
]
}要求範例
cURL
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>/streamGenerateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: text/event-stream' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'驗證
ApiKeyAuth
http · bearer在 Authorization 標頭中,將 AnyInt 開發人員 API 金鑰作為 Bearer 權杖傳遞。參數
| 名稱 | 位置 | 類型 | 必要 | 說明 |
|---|---|---|---|---|
| model | path | string | 必要 | — |
| alt | query | string | 選填 | — |
要求內文
必要application/json
範例
{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}回應
200Gemini 內容串流
text/event-stream
範例
data: {"candidates":[{"content":{"role":"model","parts":[{"text":"Edge computing reduces latency."}]}}]}